{% import "templates/aside.njk" as aside %}
{% import "templates/footer.njk" as footer %}

{% set TITLE = TITLE | default("타이틀") %}
{% set DISPLAY_ASIDE = DISPLAY_ASIDE | default(true) %}
{% set DISPLAY_FOOTER = DISPLAY_FOOTER | default(true) %}
{% set PAGE_ID = PAGE_ID | default("00") %}
{% set PAGE_DEPTH_ID = PAGE_DEPTH_ID | default("0000") %}

<!DOCTYPE html>
<html class="no-js" lang="">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta property="og:title" content="판로지스" />
  <meta property="og:description" content="" />
  <meta property="og:image" content="{{ STATIC_URL }}/assets/img/img_meta.jpg" />
  {# <meta property="og:url" content="" /> #}
  <title>{{ TITLE }} | 판로지스</title>
  <link rel="shortcut icon" href="{{ STATIC_URL }}/assets/img/img_favicon.png" type="image/x-icon">
  <link rel="icon" href="{{ STATIC_URL }}/assets/img/img_favicon.png" type="image/x-icon">
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/fonts.css">
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/mui.css">
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/common.css">
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/style.css">
  <link rel="stylesheet" href="{{ STATIC_URL }}/assets/css/m.style.css">
  {% block styles %}{% endblock %}
  {% block scripts %}{% endblock %}
</head>
<body>

  {# {% if DISPLAY_GNB %}
  {{ gnb.default() }}
  {% endif %} #}

  <div class="app">

    <!-- aside -->
    {% if DISPLAY_ASIDE %}
      {{ aside.default(PAGE_ID, PAGE_DEPTH_ID) }}
    {% endif %}
    <!-- //aside -->

    <div class="app-main">
      <main class="app-container">
        <!-- content -->
        {% block content %}{% endblock %}
        <!-- //content -->
      </main>
      {% if DISPLAY_FOOTER %}
      <!-- footer -->
      {{ footer.default() }}
      <!-- //footer -->
      {% endif %}
    </div>
  </div>

  {% block modal %}{% endblock %}
  
  {% block bodyScript %}{% endblock %}
  <script>
    if(/MSIE \d|Trident.*rv:/.test(navigator.userAgent)) {
      window.location = 'microsoft-edge:' + window.location;
      setTimeout(function() {
        window.location = 'https://go.microsoft.com/fwlink/?linkid=2135547';
      }, 1);
    }
  </script>
  <script type="text/javascript" src="{{ STATIC_URL }}/assets/js/mui.js"></script>
  <script type="text/javascript" src="{{ STATIC_URL }}/assets/js/ui.js"></script>
</body>
</html>
